# FIT-Connect API-Spezifikation

Für die Spezifikation der FIT-Connect-Schnittstellen gelten die folgenden Architekturregeln.


## Versionierung

TBD

## OpenAPI

- Wir verwenden OpenAPI 3.0
- Die Spezifikation ist als YAML geschrieben
- Wir verwenden keine Versionsnummern in Dateinamen, da das Repo als Ganzes versioniert wird
- Die Spezifikation wird mit Semantic-Versioning versioniert

## Projektstruktur

### Dokumentation

- 📁`static`
- 📁`docs`
- 📁`src`
- 📁`versioned_sidebars`
- 📁`versioned_docs`
- 📄`versions.json`
- 📄`package.json`
- 📄`yarn.lock`
- 📄`prettier.config.js`
- 📄`docusaurus.config.js`
- 📄`babel.config.js`
- 📄`sidebars.js`

#### Development / Local execution

```bash
$ yarn install
$ yarn start
```

#### Build for production

```bash
$ yarn build
# Optional: Preview production build
$ yarn serve
```

### Metadatenschema

- 📁`static`


### FIT-Connect OpenAPI Spezifikation

- 📁`spec`
- 📄`validate.sh`
- 📄`bundle.sh`



## Bezeichner

- Die Bezeichner werden camelCase geschrieben und beginnen mit einem Kleinbuchstaben
- Eine ID (Identifikator) wird als `Id` nicht `ID` geschrieben

## Pfade

Multiple Ressourcen werden im Pfad durch eine Collection-Resource und einer nachfolgenden ID aufgenommen

Beispiel: `/applications/{applicationId}`

## Tag API version

Run and follow the instructions:

    sh tag.sh
